# TdApi.ChatEventLogFilters (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: ChatEventLogFilters

Package it.tdlight.jni

# Class TdApi.ChatEventLogFilters

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatEventLogFilters

Enclosing class:
  TdApi

    public static class TdApi.ChatEventLogFilters
    extends TdApi.Object

Represents a set of filters used to obtain a chat event log.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`boolean` | `infoChanges` | True, if changes in chat information need to be returned.
`boolean` | `inviteLinkChanges` | True, if changes to invite links need to be returned.
`boolean` | `memberInvites` | True, if invited member events need to be returned.
`boolean` | `memberJoins` | True, if members joining events need to be returned.
`boolean` | `memberLeaves` | True, if members leaving events need to be returned.
`boolean` | `memberPromotions` | True, if member promotion/demotion events need to be returned.
`boolean` | `memberRestrictions` | True, if member restricted/unrestricted/banned/unbanned events need to be returned.
`boolean` | `messageDeletions` | True, if message deletions need to be returned.
`boolean` | `messageEdits` | True, if message edits need to be returned.
`boolean` | `messagePins` | True, if pin/unpin events need to be returned.
`boolean` | `settingChanges` | True, if changes in chat settings need to be returned.
`boolean` | `voiceChatChanges` | True, if voice chat actions need to be returned.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`ChatEventLogFilters()` | Represents a set of filters used to obtain a chat event log.
`ChatEventLogFilters​(boolean messageEdits, boolean messageDeletions, boolean messagePins, boolean memberJoins, boolean memberLeaves, boolean memberInvites, boolean memberPromotions, boolean memberRestrictions, boolean infoChanges, boolean settingChanges, boolean inviteLinkChanges, boolean voiceChatChanges)` | Represents a set of filters used to obtain a chat event log.
`ChatEventLogFilters​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### messageEdits

public boolean messageEdits
True, if message edits need to be returned.

### messageDeletions

public boolean messageDeletions
True, if message deletions need to be returned.

### messagePins

public boolean messagePins
True, if pin/unpin events need to be returned.

### memberJoins

public boolean memberJoins
True, if members joining events need to be returned.

### memberLeaves

public boolean memberLeaves
True, if members leaving events need to be returned.

### memberInvites

public boolean memberInvites
True, if invited member events need to be returned.

### memberPromotions

public boolean memberPromotions
True, if member promotion/demotion events need to be returned.

### memberRestrictions

public boolean memberRestrictions
True, if member restricted/unrestricted/banned/unbanned events need to be returned.

### infoChanges

public boolean infoChanges
True, if changes in chat information need to be returned.

### settingChanges

public boolean settingChanges
True, if changes in chat settings need to be returned.

### inviteLinkChanges

public boolean inviteLinkChanges
True, if changes to invite links need to be returned.

### voiceChatChanges

public boolean voiceChatChanges
True, if voice chat actions need to be returned.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### ChatEventLogFilters

public ChatEventLogFilters()
Represents a set of filters used to obtain a chat event log.

### ChatEventLogFilters

public ChatEventLogFilters​(boolean messageEdits, boolean messageDeletions, boolean messagePins, boolean memberJoins, boolean memberLeaves, boolean memberInvites, boolean memberPromotions, boolean memberRestrictions, boolean infoChanges, boolean settingChanges, boolean inviteLinkChanges, boolean voiceChatChanges)
Represents a set of filters used to obtain a chat event log.

Parameters:
  `messageEdits` - boolean True, if message edits need to be returned.
  `messageDeletions` - boolean True, if message deletions need to be returned.
  `messagePins` - boolean True, if pin/unpin events need to be returned.
  `memberJoins` - boolean True, if members joining events need to be returned.
  `memberLeaves` - boolean True, if members leaving events need to be returned.
  `memberInvites` - boolean True, if invited member events need to be returned.
  `memberPromotions` - boolean True, if member promotion/demotion events need to be returned.
  `memberRestrictions` - boolean True, if member restricted/unrestricted/banned/unbanned events need to be returned.
  `infoChanges` - boolean True, if changes in chat information need to be returned.
  `settingChanges` - boolean True, if changes in chat settings need to be returned.
  `inviteLinkChanges` - boolean True, if changes to invite links need to be returned.
  `voiceChatChanges` - boolean True, if voice chat actions need to be returned.

### ChatEventLogFilters

public ChatEventLogFilters​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`